Subject: bug#42921: 27.1; Setting (setq system-time-locale “C”) in daemon ineffective

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Oct 2020 17:00:11 +0200

Matthias Weigand <[email-masked]> writes:

> I try to set the time locale to "C" in my config via (setq
> system-time-locale "C"). However, when using the emacs --daemon, it is
> not set properly and I end up with non-english date formats and weekday
> abbreviations when the system locale is different.
>
> Discussion over at stackexchange pointed to the time variable not being
> used directly but as a terminal-local variable.
> https://emacs.stackexchange.com/q/60134
>
> Unfortunately, I am not very literate in elisp so I am not able to
> provide more information. Let me know if I should test something.

I'm unable to reproduce this error.  Could you provide a recipe for
reproducing this?  In particular, what are the LC_* language environment
variables?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no